%Carga de los datos Observados
CONC=dataset...
    ('XLSFile',...
    'C:\Users\ROD\OneDrive\Documentos\Seminario\Tesis Seminario\Datos\CONS Historico 2000-2015-1260.csv');

%Inicializacin de variables
DOBS=double(flipud(CONC));
[r1,c1]=size(DOBS);
logren=log(DOBS(2:r1,:)./DOBS(1:r1-1,:)); %log-rendimientos
[r2,c2]=size(logren);
demp=zeros(size(logren));  %distribucin empirica de los log-rendimientos

%Se calcula la distribucin empirica de cada observacin, no se utiliza la
%funcin ecdf() de MATLAB para poder tenerla por pares de acuerdo a la
%serie de tiempo.
for j=1:c1
for i=1:r2
    Rank=0;
    
    for k=1:r2
        if logren(k,j)<=logren(i,j)
            Rank=Rank+1;
        end
    end
    
    demp(i,j)=Rank/(r2+1);
end
end