function [ OS ] = simobs( th )
%Esta funcin toma como argumentos un vector de thetas, el cual
%generalmente es estimado y genera una matriz con 100000 observaciones
%simuladas.
OS=zeros(100000,2);

%Se generan vectores de numeros aleatorios con distribucin uniforme (0,1)
X=unifrnd(0,1,100000,1);
V=unifrnd(0,1,100000,1);

%Toma cada par de observaciones y las evalua en la funci osim(x,v,th) la
%cual arroja una sola observacin simulada tomando dos numeros de
%distribucin uniforme (0,1) y el vector de parametros estimados.
for i=1:100000
    OS(i,1)=X(i);
    OS(i,2)=osim(X(i),V(i),th);
end
end

